Summary: Miscellaneous files for the base system
Name: base-files
Version: 3.0.14
Release: r0
License: GPL-2.0-only
Group: base
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
Source0: rotation
Source1: GPL-2
Source2: fstab
Source3: dot.bashrc
Source4: profile
Source5: motd
Source6: issue.net
Source7: hosts
Source8: dot.profile
Source9: nsswitch.conf
Source10: host.conf
Source11: shells
Source12: issue

%description
The base-files package creates the basic system directory structure and
provides a small set of key configuration files for the system.

%package -n base-files-src
Summary: Miscellaneous files for the base system - Source files
License: GPL-2.0-only
Group: devel

%description -n base-files-src
The base-files package creates the basic system directory structure and
provides a small set of key configuration files for the system.  This
package contains sources for debugging purposes.

%package -n base-files-dbg
Summary: Miscellaneous files for the base system - Debugging files
License: GPL-2.0-only
Group: devel

%description -n base-files-dbg
The base-files package creates the basic system directory structure and
provides a small set of key configuration files for the system.  This
package contains ELF symbols and related sources for debugging purposes.

%package -n base-files-doc
Summary: Miscellaneous files for the base system - Documentation files
License: GPL-2.0-only
Group: doc

%description -n base-files-doc
The base-files package creates the basic system directory structure and
provides a small set of key configuration files for the system.  This
package contains documentation.

%package -n base-files-dev
Summary: Miscellaneous files for the base system - Development files
License: GPL-2.0-only
Group: devel
Recommends: base-files = 3.0.14-r0

%description -n base-files-dev
The base-files package creates the basic system directory structure and
provides a small set of key configuration files for the system.  This
package contains symbolic links, header files, and related items necessary
for software development.

%pre
# base-files - preinst
set -e
    #!/bin/sh -e
    if [ x"$D" = "x" ]; then
        if [ -h "/var/lock" ]; then
            # Remove the symbolic link
            rm -f /var/lock
        fi

        if [ -h "/run" ]; then
            # Remove the symbolic link
            rm -f /run
        fi
    fi


%files
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/var"
%attr(755,root,root) %dir "/lib"
%attr(755,root,root) %dir "/dev"
%attr(755,root,root) %dir "/bin"
%attr(755,root,root) %dir "/etc"
%attr(755,root,root) %dir "/mnt"
%attr(755,root,root) %dir "/boot"
%attr(555,root,root) %dir "/sys"
%attr(755,root,root) %dir "/home"
%attr(755,root,root) %dir "/sbin"
%attr(755,root,root) %dir "/media"
%attr(1777,root,root) %dir "/tmp"
%attr(755,root,root) %dir "/usr"
%attr(555,root,root) %dir "/proc"
%attr(755,root,root) %dir "/run"
%attr(755,root,root) %dir "/var/lib"
%attr(755,root,root) %dir "/var/backups"
%attr(755,root,root) %dir "/var/local"
%attr(755,root,root) %dir "/var/volatile"
%attr(755,root,root) %dir "/var/spool"
%attr(777,root,root) "/var/lock"
%attr(777,root,root) "/var/log"
%attr(777,root,root) "/var/tmp"
%attr(777,root,root) "/var/run"
%attr(755,root,root) %dir "/var/lib/misc"
%attr(755,root,root) %dir "/var/volatile/log"
%attr(1777,root,root) %dir "/var/volatile/tmp"
%attr(755,root,root) %dir "/etc/default"
%attr(755,root,root) %dir "/etc/skel"
%attr(644,root,root) %config "/etc/fstab"
%attr(777,root,root) "/etc/mtab"
%attr(644,root,root) %config "/etc/profile"
%attr(644,root,root) %config "/etc/motd"
%attr(644,root,root) %config "/etc/hostname"
%attr(644,root,root) "/etc/issue.net"
%attr(644,root,root) %config "/etc/hosts"
%attr(644,root,root) %config "/etc/nsswitch.conf"
%attr(644,root,root) "/etc/host.conf"
%attr(644,root,root) %config "/etc/shells"
%attr(644,root,root) "/etc/issue"
%attr(755,root,root) "/etc/skel/.bashrc"
%attr(755,root,root) "/etc/skel/.profile"
%attr(700,root,root) %dir "/home/root"
%attr(755,root,root) %dir "/usr/games"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/sbin"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/misc"
%attr(755,root,root) %dir "/usr/share/man"
%attr(755,root,root) %dir "/usr/share/info"
%attr(755,root,root) %dir "/usr/share/dict"

%files -n base-files-dbg
%defattr(-,-,-,-)

%files -n base-files-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/doc"
%attr(755,root,root) %dir "/usr/share/common-licenses"
%attr(755,root,root) %dir "/usr/share/doc/base-files-3.0.14"

%files -n base-files-dev
%defattr(-,-,-,-)

%%prep
echo "include logs and patches, Please check them in SOURCES"

